VMTKIMAGEINITIALIZATION(1)

NAME
vmtkimageinitialization - vmtk script vmtkimageinitialization

DESCRIPTION
Automatic piping vmtkimageinitialization Parsing options vmtkimageinitialization

vmtkimageinitialization : interactivly create an initial levelset

    which has not been evolved to image gradients

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1)

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-negate NegateImage (bool,1); default=0: negate image values before

    initializing

-interactive Interactive (bool,1); default=1

-method Method (str,1) in ['isosurface', 'threshold',

    'collidingfronts', 'fastmarching', 'seeds', 'multiplecollidingfronts']; default=collidingfronts

-sourcepoints SourcePoints (int,-1); default=[]: list of source

    point IJK coordinates

-targetpoints TargetPoints (int,-1); default=[]: list of target

    point IJK coordinates

-upperthreshold UpperThreshold (float,1); default=None: the value

    of the upper threshold to use for threshold, collidingfronts and fastmarching

-lowerthreshold LowerThreshold (float,1); default=None: the value

    of the upper threshold to use for threshold, collidingfronts and fastmarching

-isosurface IsoSurfaceValue (float,1); default=0.0: the isosurface

    value to adopt as the level set surface

-renderer vmtkRenderer (vmtkRenderer,1)

-olevelsetsfile InitialLevelSetsOutputFileName (str,1): filename

    for the default InitialLevelSets writer

-osurfacefile SurfaceOutputFileName (str,1): filename for the

    default Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-isosurfacevalue IsoSurfaceValue (float,1); default=0.0

-olevelsets InitialLevelSets (vtkImageData,1)

-osurface Surface (vtkPolyData,1)